#region Copyright Syncfusion Inc. 2001-2018.
// Copyright Syncfusion Inc. 2001-2018. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Syncfusion.Windows.Controls.Grid;
using System.Windows.Interactivity;
using System.Windows;
using System.Windows.Controls;

namespace CustomSortingDemo
{
    public class SortColumnBehavior : Behavior<GridDataControl>
    {
        GridDataControl dataControl = null;
        /// <summary>
        /// Called when [attached].
        /// </summary>
        protected override void OnAttached()
        {
            dataControl = this.AssociatedObject as GridDataControl;
            dataControl.Model.QueryCellInfo += Model_QueryCellInfo;

        }

        private void Model_QueryCellInfo(object sender, GridQueryCellInfoEventArgs e)
        {
           if(e.Cell.RowIndex == 0)
            {
                e.Style.ShowTooltip =true;
                var column = dataControl.VisibleColumns[e.Cell.ColumnIndex];
                e.Style.ToolTip = column.HeaderText;
            }
        }

        protected override void OnDetaching()
        {
            dataControl.Model.QueryCellInfo -= Model_QueryCellInfo;
        }
    }
}
